#version 330 

uniform sampler2D tex1;
uniform sampler2D tex2;
uniform sampler2D tex3;

in vec4 pos;

void main (void) {
	vec4 texPos = (pos+1)/2;
	vec4 color1 = texture2D(tex1, texPos.xy);
	vec4 color2 = texture2D(tex2, texPos.xy);
	vec4 color3 = texture2D(tex3, texPos.xy);
	
	gl_FragColor = color1*0.5 + color3 +color2*3.5;
	//gl_FragColor = color3;
}